package com.smartcar.animationmemorytest;

import android.content.Context;
import android.graphics.Path;
import android.util.AttributeSet;
import android.view.animation.PathInterpolator;

public class SCPahtInterpolator extends PathInterpolator {

    public static final float DEFALUT_CONTROL_1_X = 0.5f;
    public static final float DEFALUT_CONTROL_1_Y = 0f;

    public static final float DEFALUT_CONTROL_2_X = 0f;
    public static final float DEFALUT_CONTROL_2_Y = 1f;

    public SCPahtInterpolator() {
        super(DEFALUT_CONTROL_1_X, DEFALUT_CONTROL_1_Y, DEFALUT_CONTROL_2_X, DEFALUT_CONTROL_2_Y);
    }


    public SCPahtInterpolator(Path path) {
        super(path);
    }

    public SCPahtInterpolator(float controlX, float controlY) {
        super(controlX, controlY);
    }

    public SCPahtInterpolator(float controlX1, float controlY1, float controlX2, float controlY2) {
        super(controlX1, controlY1, controlX2, controlY2);
    }

    public SCPahtInterpolator(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

}
